summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEray Aslan <eras@gentoo.org>2019-02-26 17:37:33 +0300
committerEray Aslan <eras@gentoo.org>2019-02-26 17:37:33 +0300
commit5cda653f481a0f4e17309af05290b425b8d2c53b (patch)
tree58702afeb11c9baac8bdb63c1693aacd7baf1a96 /net-mail
parentdev-python/curtsies: depend on dev-python/typing correctly (diff)
downloadgentoo-5cda653f481a0f4e17309af05290b425b8d2c53b.tar.gz
gentoo-5cda653f481a0f4e17309af05290b425b8d2c53b.tar.bz2
gentoo-5cda653f481a0f4e17309af05290b425b8d2c53b.zip
net-mail/mailutils: bump to 3.6
and fix underlinking Closes: https://bugs.gentoo.org/677762 Closes: https://bugs.gentoo.org/665996 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Eray Aslan <eras@gentoo.org>
Diffstat (limited to 'net-mail')
-rw-r--r--net-mail/mailutils/Manifest1
-rw-r--r--net-mail/mailutils/files/mailutils-3.6-python3.patch59
-rw-r--r--net-mail/mailutils/files/mailutils-3.6-underlinking.patch11
-rw-r--r--net-mail/mailutils/mailutils-3.6.ebuild141
4 files changed, 212 insertions, 0 deletions
diff --git a/net-mail/mailutils/Manifest b/net-mail/mailutils/Manifest
index fa03c7764a6..2edacc73018 100644
--- a/net-mail/mailutils/Manifest
+++ b/net-mail/mailutils/Manifest
@@ -1,3 +1,4 @@
DIST mailutils-3.1.1.tar.xz 2759000 BLAKE2B 146dbc17f222f5f6293c88861fbe75679bde9497d1e9db577441290a2946632ee946ba726cd618363c3f6c1e3bfc87cbd9e94f701ca90f794e6182370bc35ac3 SHA512 68a6f530935118f60503550aff925c799fee4de77377e726548f418e05687b1c8f29210bcb97e1b1033f9414bdbceeaa41e65496b0648a6356c8363554955e8c
DIST mailutils-3.4.tar.xz 2619672 BLAKE2B 3a49c319a7171b2659477e6892ae222a342243e84ed2ee93e6d77353e1871d57d101a3a6ee3d2442709adbfb090e4931e134369661e8e8aa407061c1eccdf862 SHA512 548d97a4a036ef0ef5a429c82ffa43dd377b210b4c4d3844e7e5dded0f963060e3733b7766821c06ccf4dc1135002608658bcd6420e75b4ca1f4f17cfc8e2573
DIST mailutils-3.5.tar.xz 2742824 BLAKE2B ca14597114203234912cf4cfaa4c63e682561deb28d9d0825373c69de267c215d12b9db662cfd60024228e119433fb40a136d65cfd04385f881ba4b0384c8328 SHA512 6aa2de352be637295a8ab53207a8065f5c10655acc299ac0a2190937ec4decb515ac1044c9a7465b08764ca45be569012cce1046b40d748f6e4f31644f056a53
+DIST mailutils-3.6.tar.xz 2813412 BLAKE2B fa2cde98287f84745c1ccc213d2ee824857b9c64d493677ed817ae53d49576382d22784ad25faa644ca43528637ed629aa4e9a78a3b1040fd51658e54b369399 SHA512 f07b8dc570abf345d45439f4994173d2415f94d72291aac46528842e339aaa7925baf776ccfc8f8901cf0e08a13cbfdf09596dd6c448bf012af002ef5ce2fe0e
diff --git a/net-mail/mailutils/files/mailutils-3.6-python3.patch b/net-mail/mailutils/files/mailutils-3.6-python3.patch
new file mode 100644
index 00000000000..cad46d006a2
--- /dev/null
+++ b/net-mail/mailutils/files/mailutils-3.6-python3.patch
@@ -0,0 +1,59 @@
+From 4e66a6a9e5f5696d60f7df875175f2e0ad8f7376 Mon Sep 17 00:00:00 2001
+From: Sergey Poznyakoff <gray@gnu.org>
+Date: Sun, 24 Feb 2019 22:56:21 +0200
+Subject: Bugfix
+
+* python/3/libmu_py/mailcap.c: Fix leftover uses of PyString_FromString
+and PyInt_FromLong.
+---
+ python/3/libmu_py/mailcap.c | 10 +++++-----
+ 1 file changed, 5 insertions(+), 5 deletions(-)
+
+diff --git a/python/3/libmu_py/mailcap.c b/python/3/libmu_py/mailcap.c
+index 6db1770..fdb5b71 100644
+--- a/python/3/libmu_py/mailcap.c
++++ b/python/3/libmu_py/mailcap.c
+@@ -91,11 +91,11 @@ api_mailcap_create (PyObject *self, PyObject *args)
+
+ status = mu_mailcap_create (&py_mc->mc);
+ if (status)
+- return _ro (PyInt_FromLong (status));
++ return _ro (PyLong_FromLong (status));
+ status = mu_mailcap_parse (py_mc->mc, py_stm->stm, NULL);
+ if (status == MU_ERR_PARSE)
+ status = 0; /* FIXME */
+- return _ro (PyInt_FromLong (status));
++ return _ro (PyLong_FromLong (status));
+ }
+
+ static PyObject *
+@@ -183,7 +183,7 @@ api_mailcap_entry_get_field (PyObject *self, PyObject *args)
+ status = mu_mailcap_entry_sget_field (py_entry->entry, name, &value);
+ return status_object (status,
+ status == 0
+- ? (value ? PyString_FromString (value)
++ ? (value ? PyUnicode_FromString (value)
+ : PyBool_FromLong (1))
+ : PyBool_FromLong (0));
+ }
+@@ -199,7 +199,7 @@ api_mailcap_entry_get_typefield (PyObject *self, PyObject *args)
+ return NULL;
+
+ status = mu_mailcap_entry_sget_type (py_entry->entry, &value);
+- return status_object (status, PyString_FromString (status == 0 ? value : ""));
++ return status_object (status, PyUnicode_FromString (status == 0 ? value : ""));
+ }
+
+ static PyObject *
+@@ -213,7 +213,7 @@ api_mailcap_entry_get_viewcommand (PyObject *self, PyObject *args)
+ return NULL;
+
+ status = mu_mailcap_entry_sget_command (py_entry->entry, &value);
+- return status_object (status, PyString_FromString (status == 0 ? value : ""));
++ return status_object (status, PyUnicode_FromString (status == 0 ? value : ""));
+ }
+
+ static PyMethodDef methods[] = {
+--
+cgit v1.0-41-gc330
+
diff --git a/net-mail/mailutils/files/mailutils-3.6-underlinking.patch b/net-mail/mailutils/files/mailutils-3.6-underlinking.patch
new file mode 100644
index 00000000000..512a05f3a31
--- /dev/null
+++ b/net-mail/mailutils/files/mailutils-3.6-underlinking.patch
@@ -0,0 +1,11 @@
+--- a/configure.ac 2019-02-26 17:11:29.398115222 +0300
++++ b/configure.ac 2019-02-26 17:14:13.733899654 +0300
+@@ -985,7 +985,7 @@
+ AC_CHECK_LIB(ldap, ldap_bind,[
+ status_ldap=yes
+ AC_DEFINE(WITH_LDAP, 1, [Define to 1 if you want to use -lldap])
+- MU_AUTHLIBS="$MU_AUTHLIBS -lldap"],
++ MU_AUTHLIBS="$MU_AUTHLIBS -lldap -llber"],
+ [status_ldap=no])
+ fi
+
diff --git a/net-mail/mailutils/mailutils-3.6.ebuild b/net-mail/mailutils/mailutils-3.6.ebuild
new file mode 100644
index 00000000000..0943bdb530c
--- /dev/null
+++ b/net-mail/mailutils/mailutils-3.6.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit autotools elisp-common eutils flag-o-matic python-single-r1 toolchain-funcs
+
+DESCRIPTION="A useful collection of mail servers, clients, and filters"
+HOMEPAGE="https://www.gnu.org/software/mailutils/mailutils.html"
+SRC_URI="mirror://gnu/mailutils/${P}.tar.xz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="berkdb bidi +clients emacs gdbm sasl guile ipv6 kerberos kyotocabinet \
+ ldap mysql nls pam postgres python servers ssl static-libs +threads tcpd \
+ tokyocabinet"
+
+RDEPEND="!mail-client/nmh
+ !mail-filter/libsieve
+ !mail-client/mailx
+ !mail-client/nail
+ sys-libs/ncurses:=
+ sys-libs/readline:=
+ dev-libs/libltdl:0
+ virtual/mta
+ berkdb? ( sys-libs/db:= )
+ bidi? ( dev-libs/fribidi )
+ emacs? ( virtual/emacs )
+ gdbm? ( sys-libs/gdbm )
+ guile? ( dev-scheme/guile:12/2.2-1 )
+ kerberos? ( virtual/krb5 )
+ kyotocabinet? ( dev-db/kyotocabinet )
+ ldap? ( net-nds/openldap )
+ mysql? ( dev-db/mysql-connector-c )
+ nls? ( sys-devel/gettext )
+ pam? ( virtual/pam )
+ postgres? ( dev-db/postgresql:= )
+ python? ( ${PYTHON_DEPS} )
+ sasl? ( virtual/gsasl )
+ servers? ( virtual/libiconv dev-libs/libunistring )
+ ssl? ( net-libs/gnutls:= )
+ tcpd? ( sys-apps/tcp-wrappers )
+ tokyocabinet? ( dev-db/tokyocabinet )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+ servers? ( tcpd )
+ servers? ( ldap )"
+
+DOCS=( ABOUT-NLS AUTHORS COPYING COPYING.LESSER ChangeLog INSTALL NEWS README THANKS TODO )
+PATCHES=( "${FILESDIR}/${PN}-3.5-add-include.patch" \
+ "${FILESDIR}/${PN}-3.6-python3.patch"
+ "${FILESDIR}/${PN}-3.6-underlinking.patch" )
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ if use mysql; then
+ sed -i -e /^INCLUDES/"s:$:$(mysql_config --include):" \
+ sql/Makefile.am || die
+ fi
+ # bug 669946
+ #eapply "${FILESDIR}/${PN}-3.5-add-include.patch"
+ #eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ append-flags -fno-strict-aliasing
+
+ # maildir is the Gentoo default
+ econf MU_DEFAULT_SCHEME=maildir \
+ CURSES_LIBS="$($(tc-getPKG_CONFIG) --libs ncurses)" \
+ $(use_with berkdb berkeley-db) \
+ $(use_with bidi fribidi) \
+ $(use_enable ipv6) \
+ $(use_with gdbm) \
+ $(use_with sasl gsasl) \
+ $(use_with guile) \
+ $(use_with kerberos gssapi) \
+ $(use_with ldap) \
+ $(use_with mysql) \
+ $(use_enable nls) \
+ $(use_enable pam) \
+ $(use_with postgres) \
+ $(use_enable python) \
+ $(use_with ssl gnutls) \
+ $(use_enable static-libs static) \
+ $(use_enable threads pthread) \
+ $(use_with tokyocabinet) \
+ $(use_with kyotocabinet) \
+ $(use_with tcpd tcp-wrappers) \
+ $(use_enable servers build-servers) \
+ $(use_with servers unistring ) \
+ $(use_enable clients build-clients) \
+ EMACS=$(usex emacs emacs no) \
+ --with-lispdir="${EPREFIX}${SITELISP}/${PN}" \
+ --with-mail-spool=/var/spool/mail \
+ --with-readline \
+ --enable-sendmail \
+ --disable-debug
+}
+
+src_install() {
+ default
+ emake DESTDIR="${D}" install
+
+ insinto /etc
+ # bug 613112
+ newins "${FILESDIR}/mailutils.rc" mailutils.conf
+ keepdir /etc/mailutils.d/
+ insinto /etc/mailutils.d
+ doins "${FILESDIR}/mail"
+
+ if use python; then
+ python_optimize
+ if use static-libs; then
+ rm -r "${D}$(python_get_sitedir)/mailutils"/*.{a,la} || die
+ fi
+ fi
+
+ if use servers; then
+ newinitd "${FILESDIR}"/imap4d.initd imap4d
+ newinitd "${FILESDIR}"/pop3d.initd pop3d
+ newinitd "${FILESDIR}"/comsatd.initd comsatd
+ fi
+
+ #dodoc AUTHORS ChangeLog NEWS README* THANKS TODO
+
+ # compatibility link
+ use clients && dosym /usr/bin/mail /bin/mail
+
+ use static-libs || find "${D}" -name "*.la" -delete
+}